Subject: Re: [bitcoin-dev] BIP Draft: Minimum Viable TXIn Hash

From: Luke Dashjr <[email-masked]>
Date: Sat, 25 Jul 2015 19:51:53 +0000

On Thursday, July 23, 2015 8:12:19 PM Jeremy Rubin via bitcoin-dev wrote:
> Please see the following draft BIP which should decrease the amount of
> bytes needed per transaction. This is very much a draft BIP, as the design
> space for this type of improvement is large.
> 
> This BIP can be rolled out by a soft fork.
> 
> Improvements are around 12% for  standard "one in two out" txn, and even
> more with more inputs hashes.
> 
> https://gist.github.com/JeremyRubin/e175662d2b8bf814a688

This looks like just a p2p protocol optimisation, which doesn't even need a 
softfork. You do need to document the suggested protocol changes more 
specifically, however.

Luke